{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showEditButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Portalname',
        'columnId': 'portalname',
        'ariaLabelId': 'portal-name',
        'ariaLabelName': 'Portal Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Hostname',
        'columnId': 'hostname',
        'ariaLabelId': 'hostname',
        'ariaLabelName': 'Hostname'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Anbieternr.',
        'columnId': 'anbieternummer',
        'ariaLabelId': 'provider-number',
        'ariaLabelName': 'Provider Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'eingerichtet am',
        'columnId': 'eingerichtet_am',
        'ariaLabelId': 'created_at',
        'ariaLabelName': 'Created At'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showEditButton == true %}
        <td class="mdc-data-table__cell">
            <a href="{{ path('configuration_open_immo_ftp_credentials_edit', {'id': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                <div class="mdc-icon-button__ripple"></div>
                edit
            </a>
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getPortalName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getHostname() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getPortalProviderNumber() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getCreatedAt().format('d.m.Y') }}</td>
{% endblock %}
